diff options
| author | bringert <bringert@cs.chalmers.se> | 2005-11-24 13:05:27 +0000 |
|---|---|---|
| committer | bringert <bringert@cs.chalmers.se> | 2005-11-24 13:05:27 +0000 |
| commit | 4e39769f07e65f7d7e3cb903b8d8b3a5812e267b (patch) | |
| tree | 5282eda202563de3d6e1f5addcd30dfd8f4f33f7 /doc/darcs.txt | |
| parent | 853bcef7b9251ed39bd3895abb0d48699e508422 (diff) | |
Include darcs-cm wrapper.
Diffstat (limited to 'doc/darcs.txt')
| -rw-r--r-- | doc/darcs.txt | 40 |
1 files changed, 4 insertions, 36 deletions
diff --git a/doc/darcs.txt b/doc/darcs.txt index 1a62279f3..35903ed08 100644 --- a/doc/darcs.txt +++ b/doc/darcs.txt @@ -174,42 +174,10 @@ You may want to create a script or alias for starting the connection. === Automating the ControlMaster connection === -You can create a darcs wrapper which sets up a ControlMaster connection -if there isn't one already. Put the code below in, for example, ``~bin/darcs-cm``, -and use that program instead of ``darcs`` to work with the repository. - - -``` -#!/bin/bash - -DARCS=`which darcs` -SSH=`which ssh` -REPOSERVER=gfreposerver - -if [ ! -x "$SSH" ]; then - echo "ssh ($SSH): command not found" 1>&2 - exit 1 -fi - -if [ "$1" = "--stop" ]; then - $SSH -O exit "$REPOSERVER" - exit $? -fi - -if [ ! -x "$DARCS" ]; then - echo "darcs ($DARCS): command not found" 1>&2 - exit 1 -fi - -if ! $SSH -O check "$REPOSERVER" >& /dev/null; then - echo "Connection to $REPOSERVER is down, connecting..." - $SSH -f -M "$REPOSERVER" \ - "bash -c 'while true; do echo -n .; sleep 30; done'" > /dev/null - sleep 1 -fi - -exec $DARCS "$@" -``` +You can use a darcs wrapper which sets up a ControlMaster connection +if there isn't one already. Put the script [darcs-cm darcs-cm] +somewhere on your path and use it instead of ``darcs`` to work with +the remote repository. == Getting a fresh copy == |
